Bug 2012018 - Crash at start in fedora 35 Python 3.10
Summary: Crash at start in fedora 35 Python 3.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader
Version: 35
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-08 00:40 UTC by mryodatak
Modified: 2022-04-08 20:29 UTC (History)
7 users (show)

Fixed In Version: rapid-photo-downloader-0.9.33-1.fc36 rapid-photo-downloader-0.9.33-1.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-03 00:15:47 UTC
Type: Bug


Attachments (Terms of Use)

Description mryodatak 2021-10-08 00:40:53 UTC
Description of problem:

crahs on start on Fedora 35
Version-Release number of selected component (if applicable):


How reproducible:

run 
Steps to Reproduce:
1. run rapid-photo-downloader-0.9.24-5.fc35.noarch
2.
3.

 rapid-photo-downloader              
ERROR    An unhandled exception occurred
ERROR    Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/raphodo/rapid.py", line 862, in initStage4
    self.temporalProximity = TemporalProximity(rapidApp=self, prefs=self.prefs)
  File "/usr/lib/python3.10/site-packages/raphodo/proximity.py", line 1835, in __init__
    self.temporalValuePicker = TemporalValuePicker(self.prefs.get_proximity())
  File "/usr/lib/python3.10/site-packages/raphodo/proximity.py", line 1742, in __init__
    self.display.setFixedWidth(width + 6)
TypeError: setFixedWidth(self, int): argument 1 has unexpected type 'float'

Comment 1 Damon Lynch 2021-10-25 06:08:04 UTC
I am the developer of Rapid Photo Downloader. I need to make a new release to make it compatible with Python 3.10.

Comment 2 Damon Lynch 2021-12-13 15:54:33 UTC
Please see bug #2031866 for a request to update the Fedora package to 0.9.27.

Comment 3 Fedora Update System 2022-04-02 00:09:12 UTC
FEDORA-2022-853254e9b9 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-853254e9b9

Comment 4 Fedora Update System 2022-04-02 00:09:50 UTC
FEDORA-2022-50a2685dce has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-50a2685dce

Comment 5 Fedora Update System 2022-04-03 00:15:47 UTC
FEDORA-2022-853254e9b9 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-04-03 00:29:09 UTC
FEDORA-2022-50a2685dce has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-50a2685dce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-50a2685dce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-04-08 20:29:11 UTC
FEDORA-2022-50a2685dce has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.